--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An abstract connection to a DataObjects resource. The physical connection may be broken and re-established from time to time.
constants: []

full_name: DataObjects::Connection
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Pooling
- !ruby/object:RI::IncludedModule 
  name: Quoting
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: create_command
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Connection
superclass: Object
